Subject: bug#31769: mpd / pulse control issue

From: Bradley Haggerty <[email-masked]>
Date: Sat, 9 Jun 2018 06:58:03 -0500

I have mpd enabled as a herd service. When I start my computer, mpd can
play my music fine, but pavucontrol can't connect to pulse and show my
volume controls. If I kill pulse and open pavucontrol, all my volume
controls are visible, but then mpd can't play music. If I kill pulse again
and this time play a song in mpd, mpd works again, but pavucontrol can't
connect. Basically, if mpd starts pulse, mpd works, but other things can't
connect, and if pavucontrol starts pulse, mpd can't connect to pulse. Since
I have mpd enabled as a service, it's the one to start pulse on a fresh
boot. I also tried starting pulse as my user by killing it and opening
pavucontrol, then restarting the mpd service in case it could find my pulse
service this way. No success there. While mpd has control of pulse, other
applications also lack sounds, such as mpv (video players) and icecat.

mpd version: 0.20.20
OS: GuixSD c300cae68233ec7cbf50c40bdea7c191eed21e54 x86_64